package com.qmth.themis.business.bean.backend;

import com.qmth.themis.business.enums.ExamRecordStatusEnum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("实时监控台返回对象")
public class InvigilateListBean {
	@ApiModelProperty(name="考试id")
	private Long examId;

	@ApiModelProperty(name="场次id")
	private Long examActivityId;
	
	@ApiModelProperty(name="考生id")
	private Long examStudentId;
	
	@ApiModelProperty(name="考试记录id")
	private Long recordId;
	
	@ApiModelProperty(name="证件号")
	private String identity;
	
	@ApiModelProperty(name="虚拟考场代码")
	private String roomCode;
	
	@ApiModelProperty(name="姓名")
	private String name;
	
	@ApiModelProperty(name="科目名称")
	private String courseName;
	
	@ApiModelProperty(name="科目编码")
	private String courseCode;

	@ApiModelProperty(name="试题下载状态")
	private Integer paperDownload;
	
	@ApiModelProperty(name="考生状态")
	private String status;
	
	@ApiModelProperty(name="考生状态值")
	private ExamRecordStatusEnum statusCode;
	
	@ApiModelProperty(name="答题进度")
	private Double progress;
	
	@ApiModelProperty(name="预警量")
	private Integer warningCount;
	
	@ApiModelProperty(name="客户端网络通信状态")
	private Integer clientCommunicationStatus;

	@ApiModelProperty(name="微信小程序网络通信状态")
	private Integer wxappCommunicationStatus;

	@ApiModelProperty(name="ip地址")
	private String clientCurrentIp;

	@ApiModelProperty(name="是否违纪")
	private Integer breachStatus;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getExamActivityId() {
		return examActivityId;
	}

	public void setExamActivityId(Long examActivityId) {
		this.examActivityId = examActivityId;
	}

	public Long getExamStudentId() {
		return examStudentId;
	}

	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}

	public Long getRecordId() {
		return recordId;
	}

	public void setRecordId(Long recordId) {
		this.recordId = recordId;
	}

	public String getIdentity() {
		return identity;
	}

	public void setIdentity(String identity) {
		this.identity = identity;
	}

	public String getRoomCode() {
		return roomCode;
	}

	public void setRoomCode(String roomCode) {
		this.roomCode = roomCode;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public Integer getPaperDownload() {
		return paperDownload;
	}

	public void setPaperDownload(Integer paperDownload) {
		this.paperDownload = paperDownload;
	}

	public String getStatus() {
		if(statusCode!=null) {
			return statusCode.getCode();
		}
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public ExamRecordStatusEnum getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(ExamRecordStatusEnum statusCode) {
		this.statusCode = statusCode;
	}

	public Double getProgress() {
		return progress;
	}

	public void setProgress(Double progress) {
		this.progress = progress;
	}

	public Integer getWarningCount() {
		return warningCount;
	}

	public void setWarningCount(Integer warningCount) {
		this.warningCount = warningCount;
	}

	public Integer getClientCommunicationStatus() {
		return clientCommunicationStatus;
	}

	public void setClientCommunicationStatus(Integer clientCommunicationStatus) {
		this.clientCommunicationStatus = clientCommunicationStatus;
	}

	public Integer getWxappCommunicationStatus() {
		return wxappCommunicationStatus;
	}

	public void setWxappCommunicationStatus(Integer wxappCommunicationStatus) {
		this.wxappCommunicationStatus = wxappCommunicationStatus;
	}

	public String getClientCurrentIp() {
		return clientCurrentIp;
	}

	public void setClientCurrentIp(String clientCurrentIp) {
		this.clientCurrentIp = clientCurrentIp;
	}

	public Integer getBreachStatus() {
		return breachStatus;
	}

	public void setBreachStatus(Integer breachStatus) {
		this.breachStatus = breachStatus;
	}


	
}
