package com.qmth.themis.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.themis.business.entity.TEExamCourse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Description: 考试科目 Mapper 接口
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Mapper
public interface TEExamCourseMapper extends BaseMapper<TEExamCourse> {

    /**
     * 查询考试科目
     *
     * @param iPage
     * @param examId
     * @param courseCode
     * @param courseName
     * @param hasPaper
     * @return
     */
    public IPage<TEExamCourse> examCourseQuery(IPage<Map> iPage, @Param("examId") Long examId, @Param("courseCode") String courseCode, @Param("courseName") String courseName, @Param("hasPaper") Integer hasPaper);

    public TEExamCourse findByExamIdAndCourseCode(@Param("examId") Long examId,@Param("courseCode") String courseCode);
}
