package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.qmth.themis.common.contanst.Constants;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 监考员设置
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/9
 */
@ApiModel(value = "t_b_exam_invigilate_user", description = "监考员设置")
public class TBExamInvigilateUser implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "机构ID")
    @TableField("org_id")
    private Long orgId;

    @ApiModelProperty(value = "用户ID")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "考场代码")
    @TableField("room_code")
    private String roomCode;

    @ApiModelProperty(value = "考场名称")
    @TableField("room_name")
    private String roomName;

    public TBExamInvigilateUser() {

    }

    public TBExamInvigilateUser(Long orgId, String roomCode, String roomName) {
        this.id = Constants.idGen.next();
        this.orgId = orgId;
        this.roomCode = roomCode;
        this.roomName = roomName;
    }

    public TBExamInvigilateUser(Long orgId, Long userId, String roomCode, String roomName) {
        this.id = Constants.idGen.next();
        this.orgId = orgId;
        this.userId = userId;
        this.roomCode = roomCode;
        this.roomName = roomName;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }
}
