package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 全局配置
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@ApiModel(value = "t_e_config", description = "全局配置")
public class TEConfig implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "相似度比较阀值")
    @TableField(value = "similarity_threshold")
    private Double similarityThreshold;

    @ApiModelProperty(value = "活体动作个数")
    @TableField(value = "liveness_action_count")
    private Integer livenessActionCount;

    @ApiModelProperty(value = "活体单个动作重试次数")
    @TableField(value = "liveness_action_retry_count")
    private Integer livenessActionRetryCount;

    @ApiModelProperty(value = "活体单个动作限时秒数")
    @TableField(value = "liveness_action_limit_seconds")
    private Integer livenessActionLimitSeconds;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getSimilarityThreshold() {
        return similarityThreshold;
    }

    public void setSimilarityThreshold(Double similarityThreshold) {
        this.similarityThreshold = similarityThreshold;
    }

    public Integer getLivenessActionCount() {
        return livenessActionCount;
    }

    public void setLivenessActionCount(Integer livenessActionCount) {
        this.livenessActionCount = livenessActionCount;
    }

    public Integer getLivenessActionRetryCount() {
        return livenessActionRetryCount;
    }

    public void setLivenessActionRetryCount(Integer livenessActionRetryCount) {
        this.livenessActionRetryCount = livenessActionRetryCount;
    }

    public Integer getLivenessActionLimitSeconds() {
        return livenessActionLimitSeconds;
    }

    public void setLivenessActionLimitSeconds(Integer livenessActionLimitSeconds) {
        this.livenessActionLimitSeconds = livenessActionLimitSeconds;
    }
}
