package com.qmth.themis.task.config;

import com.qmth.themis.business.domain.AliYunOssDomain;
import com.qmth.themis.business.domain.MqDomain;
import com.qmth.themis.business.domain.SysDomain;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: 数据字典
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/4/10
 */
@Configuration
public class DictionaryConfig {

    /**
     * 系统配置
     *
     * @return
     */
    @Bean
    @ConfigurationProperties(prefix = "sys.config", ignoreUnknownFields = false)
    public SysDomain sysDomain() {
        return new SysDomain();
    }

    /**
     * 阿里云oss配置
     *
     * @return
     */
    @Bean
    @ConfigurationProperties(prefix = "aliyun.oss", ignoreUnknownFields = false)
    public AliYunOssDomain aliYunOssDomain() {
        return new AliYunOssDomain();
    }

    /**
     * 阿里云oss配置
     *
     * @return
     */
    @Bean
    @ConfigurationProperties(prefix = "mq", ignoreUnknownFields = false)
    public MqDomain mqDomain() {
        return new MqDomain();
    }
}
